# Sistem Pendukung Keputusan Penerima Bantuan Sosial Metode SAW

Ini merupakan aplikasi web sederhana untuk mencari warga yang berhak menerima bantuan menggunakan metode SAW, Web ini menggunakan Laravel 9 sebagai backend framework dan Bootsrap 5 sebagai frontend. 

## Features

- Menetukan warga yang paling berhak mendapat bantuan sosial menggunakan metode SAW yang memungkinkan perhitungan secara akurat.
- Mencetak hasil laporan dalam format file PDF.
- Menggunakan Laravel 9 sebagai backend.
- Menggunakan Bootsrap 5 sebagai frontend yang responsive dan modern.


## Requirements

- PHP >= 8.1
- Composer
- MySQL

## Installation

1. git clone https://github.com/capcay464/laravel9-SPK
2. cd laravel9-SPK
3. composer install
4. copy .env.example .env || cp .env.example .env
4. php artisan key:generate
5. php artisan migrate
7. php artisan db:seed
8. php artisan serve
9. Buka di http://127.0.0.1:8000/

## Access Login Page
1. Admin :
Username : admin@admin.com
Password : admin12345


## Login Page
![Tampilan Login](https://github.com/capcay464/laravel9-SPK/assets/19301596/22557105-aa73-426c-a354-05359796482f)

## Dashboard Page
![Dashboard](https://github.com/capcay464/laravel9-SPK/assets/19301596/46953781-ccca-45f4-a7ad-6c190a35d53b)

## Kriteria Page 
![Kriteria](https://github.com/capcay464/laravel9-SPK/assets/19301596/63238ce3-2c96-477f-b5ea-fd59371339db)

## Crips Page
![Crips](https://github.com/capcay464/laravel9-SPK/assets/19301596/46e1836f-5d3f-47e1-bf32-fe045e9c1fcb)

## Data Warga Page
![Data Warga](https://github.com/capcay464/laravel9-SPK/assets/19301596/e7de7e8f-c0d6-4483-8976-6232562050f8)

## Penilaian Page
![Penilaian](https://github.com/capcay464/laravel9-SPK/assets/19301596/af9d49c2-7a7e-42f8-8e75-a68f5545359f)

## Perhitungan SAW Page
![Perhitugan](https://github.com/capcay464/laravel9-SPK/assets/19301596/e2e28b13-b044-4f0c-be46-ec4bda867922)

## Users Page
![User](https://github.com/capcay464/laravel9-SPK/assets/19301596/13723cdc-e728-4cc9-8bd4-0daac47e9945)









<p align="center"><a href="https://laravel.com" target="_blank"><img src="https://raw.githubusercontent.com/laravel/art/master/logo-lockup/5%20SVG/2%20CMYK/1%20Full%20Color/laravel-logolockup-cmyk-red.svg" width="400"></a></p>

<p align="center">
<a href="https://travis-ci.org/laravel/framework"><img src="https://travis-ci.org/laravel/framework.svg" alt="Build Status"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://img.shields.io/packagist/dt/laravel/framework" alt="Total Downloads"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://img.shields.io/packagist/v/laravel/framework" alt="Latest Stable Version"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://img.shields.io/packagist/l/laravel/framework" alt="License"></a>
</p>

## About Laravel

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable and creative experience to be truly fulfilling. Laravel takes the pain out of development by easing common tasks used in many web projects, such as:

- [Simple, fast routing engine](https://laravel.com/docs/routing).
- [Powerful dependency injection container](https://laravel.com/docs/container).
- Multiple back-ends for [session](https://laravel.com/docs/session) and [cache](https://laravel.com/docs/cache) storage.
- Expressive, intuitive [database ORM](https://laravel.com/docs/eloquent).
- Database agnostic [schema migrations](https://laravel.com/docs/migrations).
- [Robust background job processing](https://laravel.com/docs/queues).
- [Real-time event broadcasting](https://laravel.com/docs/broadcasting).

Laravel is accessible, powerful, and provides tools required for large, robust applications.

## Learning Laravel

Laravel has the most extensive and thorough [documentation](https://laravel.com/docs) and video tutorial library of all modern web application frameworks, making it a breeze to get started with the framework.

If you don't feel like reading, [Laracasts](https://laracasts.com) can help. Laracasts contains over 2000 video tutorials on a range of topics including Laravel, modern PHP, unit testing, and JavaScript. Boost your skills by digging into our comprehensive video library.

## Laravel Sponsors

We would like to extend our thanks to the following sponsors for funding Laravel development. If you are interested in becoming a sponsor, please visit the Laravel [Patreon page](https://patreon.com/taylorotwell).

### Premium Partners

- **[Vehikl](https://vehikl.com/)**
- **[Tighten Co.](https://tighten.co)**
- **[Kirschbaum Development Group](https://kirschbaumdevelopment.com)**
- **[64 Robots](https://64robots.com)**
- **[Cubet Techno Labs](https://cubettech.com)**
- **[Cyber-Duck](https://cyber-duck.co.uk)**
- **[Many](https://www.many.co.uk)**
- **[Webdock, Fast VPS Hosting](https://www.webdock.io/en)**
- **[DevSquad](https://devsquad.com)**
- **[Curotec](https://www.curotec.com/services/technologies/laravel/)**
- **[OP.GG](https://op.gg)**
- **[WebReinvent](https://webreinvent.com/?utm_source=laravel&utm_medium=github&utm_campaign=patreon-sponsors)**
- **[Lendio](https://lendio.com)**

## Contributing

Thank you for considering contributing to the Laravel framework! The contribution guide can be found in the [Laravel documentation](https://laravel.com/docs/contributions).

## Code of Conduct

In order to ensure that the Laravel community is welcoming to all, please review and abide by the [Code of Conduct](https://laravel.com/docs/contributions#code-of-conduct).

## Security Vulnerabilities

If you discover a security vulnerability within Laravel, please send an e-mail to Taylor Otwell via [taylor@laravel.com](mailto:taylor@laravel.com). All security vulnerabilities will be promptly addressed.

## License

The Laravel framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).
